summaryrefslogtreecommitdiff
path: root/tests/misc/pwd-unreadable-parent
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2008-04-20 23:18:48 +0200
committerJim Meyering <meyering@redhat.com>2008-04-20 23:18:48 +0200
commitfdb7e5b44ce87d725e5e7bca3746c494cfa47fd2 (patch)
tree93093ba36335fefd308f0a68fb47b7e6914c1997 /tests/misc/pwd-unreadable-parent
parentb29e812e824ac86464dc05e066f8adc5fe2e46ad (diff)
downloadcoreutils-fdb7e5b44ce87d725e5e7bca3746c494cfa47fd2.tar.xz
Use "env" to invoke potential built-ins.
* tests/misc/pwd-unreadable-parent: Invoke pwd via "env -- pwd", rather than via an absolute name. * tests/touch/not-owner: Likewise for test. * tests/chmod/setgid: Likewise.
Diffstat (limited to 'tests/misc/pwd-unreadable-parent')
-rwxr-xr-xtests/misc/pwd-unreadable-parent8
1 files changed, 3 insertions, 5 deletions
diff --git a/tests/misc/pwd-unreadable-parent b/tests/misc/pwd-unreadable-parent
index c7cde7542..370a0d0ad 100755
--- a/tests/misc/pwd-unreadable-parent
+++ b/tests/misc/pwd-unreadable-parent
@@ -3,7 +3,7 @@
# is unreadable. Perform this test only on systems with a usable getcwd
# function that has this capability.
-# Copyright (C) 2007 Free Software Foundation, Inc.
+# Copyright (C) 2007-2008 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -20,7 +20,7 @@
if test "$VERBOSE" = yes; then
set -x
- pwd --version
+ env -- pwd --version
readlink --version
fi
@@ -38,10 +38,8 @@ mkdir -p a/b || framework_failure
cd a/b || framework_failure
chmod a=x .. || framework_failure
-pwd_exe="$abs_top_builddir/src/pwd"
-
fail=0
-"$pwd_exe" > exp || fail=1
+env -- pwd > exp || fail=1
readlink -ev . > out || fail=1
compare out exp || fail=1